%define snap	20071221

Summary:	H323 Auto Caller plugin for Nagios
Name:		h323ac
Version:	1.0.5
Release:	%mkrel 0.%{snap}.2
License:	MPL
Group:		Networking/Other
URL:		http://sourceforge.net/projects/h323ac/
Source0:	%{name}-%{snap}.tar.lzma
# Add some includes to h323ac.h that used to be in upstream pwlib
# headers but aren't any more - AdamW 2007/12
Patch0:		h323ac-1.0.5-includes.patch
BuildRequires:	openh323-devel
BuildRequires:	pwlib-devel

%description
This application is a simple OpenH323-based WAV file player: you
use it to call a H.323 telephone and it will play a WAV file to
the remote telephone over the H.323 connection. It has many uses,
examples include using it as a Voice Pager in Nagios to notify
techs of system problems, using it as a wakeup service with cron,
or using it to Voice Spam audio advertisements to phones. If you
put it to other interesting uses, please email me to let me know
what you have thought up.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .includes

%build
%make \
    OPENH323DIR="%{_datadir}/openh323" \
    PWLIBDIR="%{_datadir}/pwlib" \
    OH323_INCDIR="%{_includedir}/openh323" \
    OH323_LIBDIR="%{_libdir}" \
    CFLAGS="%{optflags} -DLDAP_DEPRECATED" \
    CXXFLAGS="%{optflags} -DLDAP_DEPRECATED" \
    opt

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d -m0755 %{buildroot}%{_libdir}/nagios/plugins
install -m0755 obj_linux_*/h323ac %{buildroot}%{_libdir}/nagios/plugins/


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%attr(0755,root,root) %{_libdir}/nagios/plugins/h323ac



%changelog
* Sun Dec 30 2007 Adam Williamson <awilliamson@mandriva.com> 1.0.5-0.20071221.2mdv2008.1
+ Revision: 139505
- rebuild for old openh323 / pwlib

* Thu Dec 27 2007 Adam Williamson <awilliamson@mandriva.com> 1.0.5-0.20071221.1mdv2008.1
+ Revision: 138235
- rebuild for h323plus / pwlib 1.12.0
- explicit BuildRequires pwlib-devel for now since we have two versions and they can get confused
- add includes.patch (some extra includes are needed after upstream changes to pwlib)
- correct versioning
- new snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Feb 02 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-1.20041029.3mdv2007.0
+ Revision: 115941
- Import h323ac

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-1.20041029.3mdk
- rebuilt against openssl-0.9.8a

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-0.20041029.3mdk
- rebuilt against new openldap-2.3.6 libs
- pass "-DLDAP_DEPRECATED" to the CFLAGS

* Wed May 11 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-0.20041029.2mdk
- added one silly x86_64 fix

* Mon Apr 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.4-0.20041029.1mdk
- 1.0.4 (CVS 20041029)
- use the %%mkrel macro

* Thu Sep 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-3mdk
- Rebuild with latest openh323/pwlib

* Tue Jun 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-2mdk
- rebuilt with gcc v3.4.x

* Mon May 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-1mdk
- initial cooker contrib

